<?php
if (isset($tpl['status']))
{
	$status = __('status', true);
	switch ($tpl['status'])
	{
		case 2:
			pjUtil::printNotice(NULL, $status[2]);
			break;
	}
} else {
	if (isset($_GET['err']))
	{
		$titles = __('error_titles', true);
		$bodies = __('error_bodies', true);
		pjUtil::printNotice(@$titles[$_GET['err']], @$bodies[$_GET['err']]);
	}
	include_once PJ_VIEWS_PATH . 'pjLayouts/elements/optmenu.php';
	pjUtil::printNotice(__('infoMessagesTitle', true, false), __('infoMessagesDesc', true, false));
	include_once PJ_VIEWS_PATH . 'pjLayouts/elements/messagemenu.php';
	?>
	<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="get">
		<input type="hidden" name="controller" value="pjAdminMessages" />
		<input type="hidden" name="action" value="pjActionCreate" />
		<input type="submit" class="pj-button" value="<?php __('btnAddMessage'); ?>" />
		<p>&nbsp;</p>
	</form>
	
	<div id="grid"></div>
	<script type="text/javascript">
	var myLabel = myLabel || {};
	myLabel.message = "<?php echo pjSanitize::clean(__('lblMessage', true)); ?>";
	myLabel.subject = "<?php echo pjSanitize::clean(__('lblSubject', true)); ?>";
	myLabel.category = "<?php echo pjSanitize::clean(__('lblCategory', true)); ?>";
	myLabel.type = "<?php echo pjSanitize::clean(__('lblType', true)); ?>";
	myLabel.status = "<?php echo pjSanitize::clean(__('lblStatus', true)); ?>";
	myLabel.active = "<?php echo pjSanitize::clean(__('lblActive', true)); ?>";
	myLabel.inactive = "<?php echo pjSanitize::clean(__('lblInactive', true)); ?>";
	myLabel.delete_confirmation = "<?php echo pjSanitize::clean(__('lblDeleteConfirmation', true)); ?>";
	myLabel.delete_selected = "<?php echo pjSanitize::clean(__('lblDeleteSelected', true)); ?>";
	</script>
	<?php
}
?>